Bug 43897 - The JITStackFrame is wrong using Thumb-2 JIT with JSVALUE32_64
: The JITStackFrame is wrong using Thumb-2 JIT with JSVALUE32_64
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore
: 528+ (Nightly build)
: Other Linux
: P1 Blocker
Assigned To: Nobody
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-12 00:37 PDT by Gabor Loki
Modified: 2010-08-18 03:28 PDT (History)
5 users (show)

See Also:


Attachments
Fix the JITStackFrame in Thumb2 JIT with JSValue32_64 (2.87 KB, patch)
2010-08-12 01:10 PDT, Gabor Loki
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Loki 2010-08-12 00:37:06 PDT
The asserts in JITThunks::JITThunks complain about the wrong offset values.
Comment 1 Gabor Loki 2010-08-12 01:10:46 PDT
Created attachment 64191 [details]
Fix the JITStackFrame in Thumb2 JIT with JSValue32_64

A 64 bits wide data is aligned to 8 bytes on ARM by default, but the ..._OFFSET macros in JITStubs.cpp are calculated as the args member is started from the fourth byte.
So, the macros are updated and the type of reserved member is replaced with JITStubArg, in order not to make any mistake about the offsets.
Comment 2 Gavin Barraclough 2010-08-13 01:01:33 PDT
Hey Gabor, looks good but I'd like to test this patch doesn't break anything on darwin.  I'll test tomorrow morning & land assuming all is good.
Comment 3 Gavin Barraclough 2010-08-18 01:48:13 PDT
Comment on attachment 64191 [details]
Fix the JITStackFrame in Thumb2 JIT with JSValue32_64

All good!
Comment 4 WebKit Commit Bot 2010-08-18 03:03:37 PDT
Comment on attachment 64191 [details]
Fix the JITStackFrame in Thumb2 JIT with JSValue32_64

Clearing flags on attachment: 64191

Committed r65596: <http://trac.webkit.org/changeset/65596>
Comment 5 WebKit Commit Bot 2010-08-18 03:03:41 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 WebKit Review Bot 2010-08-18 03:28:22 PDT
http://trac.webkit.org/changeset/65596 might have broken Qt Windows 32-bit Debug
The following changes are on the blame list:
http://trac.webkit.org/changeset/65594
http://trac.webkit.org/changeset/65595
http://trac.webkit.org/changeset/65596
http://trac.webkit.org/changeset/65597